Bug 136651 - Canna LE doesn't update the caret position
Canna LE doesn't update the caret position
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-21 10:03 EDT by Akira TAGOH
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: im-sdk-12.1-10.EL
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-21 01:33:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2004-10-21 10:03:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.3)
Gecko/20041007 Debian/1.7.3-5

Description of problem:
in preedit mode, when Left/Right key is pressed, the cursor should be
moved to the left/right. but it doesn't move properly right now.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run oowriter on ja_JP.UTF-8 say
2.type n i h o n g o
3.press Left Left Left
    

Actual Results:  cursor is placed before 'ご'

Expected Results:  cursor should be placed before 'ほ'

Additional info:
Comment 1 Lawrence Lim 2004-10-28 00:11:12 EDT
Not sure if it is a similar issue. If not, I can file a new bug
against my additional findings. This happen for all four CJK locale. 

After the characters are committed, moving the cursor to the left,
instead of going back character by character, it move back two
characters at a time. The vice versa happens when trying to move the
cursor to the right.

For example, 紅帽企業, typing <- once should move the cusor to before
'業'. But at the moment, it is moved to before '企'.
Comment 2 Leon Ho 2004-10-28 00:34:18 EDT
Lawrence, the bug that you mentioned seems more related to general
event handling Bug #137398 than this.

For this one, more code has to be done to handle preedit editing.
Comment 3 Akira TAGOH 2004-11-24 05:08:18 EST
FYI, it's totally Canna LE fault. when I've implemented this feature
on Canna LE, the caret position was updated on OOo. but it looks the
wrong behavior during converting the words. as Dan and I discussed on
IRC, the block cursor is needed anyway. I'll reassign this to im-sdk,
and will file another bug for the block cursor then.
Comment 4 Akira TAGOH 2004-12-01 07:27:58 EST
it will be fixed in the next build, perhaps -10.
Comment 5 Lawrence Lim 2005-02-21 01:33:07 EST
Confirmed fixed. Tested with im-sdk-12.1-10.EL and
openoffice.org-1.1.2-18.6.EL4.

Note You need to log in before you can comment on or make changes to this bug.